List Agents
curl --request GET \
--url https://api.duvo.ai/v2/teams/{teamId}/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/teams/{teamId}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slack_enabled": true,
"microsoft_teams_enabled": true,
"agentic_memory_enabled": true,
"team_id": "<string>",
"thread_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"pinned_at": "<string>",
"last_run_at": "<string>",
"latest_build": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"version": "v1",
"data": {
"model": "<string>",
"tools": "<unknown>",
"input": "<string>",
"files": [],
"skills": [],
"temperature": 1,
"max_output_tokens": 1,
"top_p": 0.5,
"store": true,
"text": {
"format": {
"type": "text"
}
}
}
},
"status": "<string>",
"revision_number": 123,
"parent_build_id": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"revision_name": "<string>",
"revision_description": "<string>",
"created_by_name": "<string>",
"schedules": [
{
"id": "<string>",
"build_id": "<string>",
"agent_id": "<string>",
"user_id": "<string>",
"enabled": true,
"time": "<string>",
"timezone": "<string>",
"day": "<string>",
"day_of_month": 123,
"cron": "<string>",
"source": "<string>",
"task": "<string>",
"recurring": true,
"auto_disabled_at": "<string>",
"auto_disabled_reason": "<string>",
"consecutive_missing_connection_failures": 4503599627370495,
"first_missing_connection_failure_at": "<string>",
"last_missing_connection_failure_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_name": "<string>",
"user_email": "<string>"
}
]
},
"integration_configs": [
{
"id": "<string>",
"integration_id": "<string>",
"integration_type": "<string>",
"integration_name": "<string>",
"created_at": "<string>",
"icon_url": "<string>",
"is_connected": true,
"linked_queue_names": [
"<string>"
]
}
],
"user_triggers": {
"slack_mention": true,
"slack_channel": true,
"teams_mention": true
},
"case_trigger_enabled": true,
"case_trigger_has_conflict": true,
"case_trigger_conflicting_agents": [
{
"id": "<string>",
"name": "<string>"
}
],
"case_queue_name": "<string>",
"folder_id": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"updated_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
],
"total": 0,
"limit": 0,
"offset": 0
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Agents
List Agents
List agents for your team.
GET
/
v2
/
teams
/
{teamId}
/
agents
List Agents
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Query Parameters
Include the authenticated user's schedules for each agent in the response. Schedules are per-user, so this only returns schedules the current user owns.
Available options:
true, false Number of agents per page (1-100, default 20)
Required range:
1 <= x <= 100Number of agents to skip
Required range:
0 <= x <= 9007199254740991Only return agents belonging to this automation.
Response
Default Response
Was this page helpful?
⌘I